@echo off

pushd "%~dp0"

SET TP_PATH=C:\Program Files\CodeAndWeb\TexturePacker\bin

rem Look for TexturePacker env var
if defined TEXPACKBIN (
	rem It's defined. Let's assume it's correct
	GOTO publish
)
rem Else...
echo Env var TEXPACKBIN undefined
echo Attempting to reach setup script
echo Looking for asset repo...
IF [%MYLING_ASSETS%]  EQU [] GOTO mylingassetserror

IF EXIST "%MYLING_ASSETS%" (
	echo ...found! Path: "%MYLING_ASSETS%"
	echo.
	call "%MYLING_ASSETS%\set_texpack_path.bat"
	echo Script launched.
	echo.
	echo.
	echo Please run this script again to build atlases
	echo.
	pause
	goto eof
)

:mylingassetserror
echo.
echo ...not found! Path: "%MYLING_ASSETS%"
echo Please check out asset repo and run set_environment.bat from there.
pause
exit /b

:publish
rem Publish all the atlases in current dir
echo.
echo Publishing atlases in current dir...
echo.
for /f %%f in ('dir /s /b *.tps') do (
	call "%TEXPACKBIN%\TexturePacker.exe" %%f
	IF ERRORLEVEL 1 (call :error)
)
echo.
echo ...done!

:eof
popd
exit /b

:error
rem Something happened. Pause to let user read what
pause
exit /b